Submit an Offer Enrollment

Submits an enrollment for the given offer. Before making this call, GET /form should
already have been called to retrieve the required fields for the offer.

The request body should contain the form fields as defined in the GET /form response
for the selected offer_id. The response shape varies by offer category.

Note: This API should use the enroll.wattbuy.com base URL rather than apis.wattbuy.com. It is also recommended that you use QA (qaenroll.wattbuy.com) for development.

For retail electricity offers, this endpoint returns the code, status, sub status, agent, and metadata.

The metadata includes:

- Customer info fields
- WattBuy order_id for further reference
- reference_id from the supplier (if provided by the supplier)
- status_reason if the order fails
- deposit amount and payment link if a deposit is required

Order Status Metrix:

CodeStatusSub StatusDescription
S1SUBMITTEDApprovedThe enrollment has been successfully submitted to the supplier but service has not started
S2SUBMITTEDApproved with Deposit NeededThe enrollment has been successfully submitted to the supplier but a deposit is needed to turn on service
S3SUBMITTEDApproved with Deposit Waiver NeededThe enrollment has been successfully submitted to the supplier but a deposit waiver is needed to turn on service
F3FAILEDDeclinedThe enrollment has been declined by the supplier
Query Params
string
required

The unique identifier for the offer. This was previously referred to as plan_id.

string
required
boolean
enum
Defaults to true
Allowed:
Body Params
form
object
required

Dynamic form object containing field values.
Keys and requirements vary based on the selected offer_id.
All field names and validation rules come from the GET /form endpoint response.

Responses

204

No data found

500

Internal server error

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json